Package org.apache.ignite.internal.processors.platform.services

## Interface PlatformService

All Superinterfaces:
  `Serializable`, `Service`

All Known Subinterfaces:
  `PlatformDotNetService`

All Known Implementing Classes:
  `PlatformAbstractService`, `PlatformDotNetServiceImpl`

    public interface PlatformService
    extends Service

Base class for all platform services.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `invokeMethod​(String mthdName, boolean srvKeepBinary, boolean deserializeResult, @Nullable Object[] args, @Nullable Map<String,​Object> callAttrs)` Invokes native service method.
`long` `pointer()` Gets native pointer.

### Methods inherited from interface org.apache.ignite.services.Service

`cancel, cancel, execute, execute, init, init`

### Method Detail

#### invokeMethod

    Object invokeMethod​(String mthdName,
                        boolean srvKeepBinary,
                        boolean deserializeResult,
                        @Nullable
                        @Nullable Object[] args,
                        @Nullable
                        @Nullable Map<String,​Object> callAttrs)
                 throws IgniteCheckedException

Invokes native service method.

Parameters:
  `mthdName` - Method name.
  `srvKeepBinary` - Server keep binary flag.
  `deserializeResult` - If `true`, call service in cross-platform compatible manner.
  `args` - Arguments.
  `callAttrs` - Service call context attributes.
Returns:
  Resulting data.
Throws:
  `IgniteCheckedException` - If failed.

#### pointer

    long pointer()

Gets native pointer.

Returns:
  Native pointer.